use crate::UError;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize)]
#[serde(rename_all = "lowercase")]
#[serde(tag = "status", content = "data")]
pub enum DataResult<M> {
    Ok(M),
    Err(UError),
}
